status-notifier-item-0.3.1.0: A wrapper over the StatusNotifierItem/libappindicator dbus specification

Safe Haskell | None
Language | Haskell2010

StatusNotifier.Item.Service

# Documentation

data ItemParams Source #

Constructors

ItemParams |

Fields

- iconName :: String
- iconOverlayName :: String
- itemDBusName :: String

#### Instances

Instances details

Read ItemParams Source # |
Instance details Defined in StatusNotifier.Item.Service Methods readsPrec :: Int -> ReadS ItemParams Source # readList :: ReadS [ItemParams] Source # readPrec :: ReadPrec ItemParams Source # readListPrec :: ReadPrec [ItemParams] Source #
Show ItemParams Source # |
Instance details Defined in StatusNotifier.Item.Service Methods showsPrec :: Int -> ItemParams -> ShowS Source # show :: ItemParams -> String Source # showList :: [ItemParams] -> ShowS Source #
Eq ItemParams Source # |
Instance details Defined in StatusNotifier.Item.Service Methods (==) :: ItemParams -> ItemParams -> Bool Source # (/=) :: ItemParams -> ItemParams -> Bool Source #

buildItem :: ItemParams -> IO (Either MethodError ()) Source #